<ul class="list-group">
  <li class="list-group-item" *ngFor="let item of list">
    <!--
      routerLink est une directive qui permet de faire des liens internes à l'application,
      elle indique au routeur vers quelle state il faut rediriger l'utilisateur.
      dans ce cas ci, on a besoin de passer une valeur d'id au router, pour ce faire,
      il est nécessaire de passer un tableau à la directive.
  
      N'UTILISEZ PAS LES MOUSTACHES POUR FAIRE ÇA !!!
      angular n'est pas conçu pour gérer les moustaches dans les attributs de balise HTML...
      
      lorsque l'on passe ce tableau ['debut','milieu','fin'] à routerLink, celui-ci l'interprete comme ceci :
      'debut/milieu/fin'
      on peut donc passer n'importe quel type de valeur dans le tableau :
      let toto = 5;
      ['shopping-list', toto] sera donc interpreté comme ceci : 'shopping-list/5'
    -->
    <a [routerLink]="[uri, item['id']]">{{ item["name"] }}</a>
    <button (click)="onClick(item)">delete</button>
  </li>
</ul>